name: so-conda
channels:
  - conda-forge
  - nodefaults
dependencies:
  - archspec
  - astropy
  - autobahn
  - automake
  - bandit
  - bump-my-version
  - camb
  - cfitsio
  - cmake
  - compilers
  - conda
  - configobj
  - coverage
  - coveralls
  - cython
  - defopt
  - deprecation
  - dill
  - ephem
  - fftw=*=mpi*
  - fire
  - flake8
  - flatbuffers
  - furo
  - fuzzywuzzy
  - getdist
  - h5py=*=mpi*
  - healpy
  - influxdb
  - ipykernel
  - lapack
  - libaatm
  - libsharp=*=mpi*
  - libtool
  - linkify-it-py
  - make
  - mamba
  - matplotlib
  - micromamba
  - mpi4py
  - mpich-mpicc
  - mpich-mpicxx
  - mpich-mpifort
  - mypy
  - myst-parser
  - namaster
  - nbformat
  - numba
  - numpy
  - packaging
  - pandas
  - pillow
  - plotly
  - poetry
  - portalocker
  - pshmem
  - psutil
  - py-cpuinfo
  - py-ubjson
  - pyaml
  - pybobyqa
  - pyccl
  - pydocstyle
  - pyfftw
  - pylint
  - pyserial
  - pysm3
  - pysmi
  - pysnmp
  - pysqlite3
  - pytest
  - pytest-cov
  - python-dateutil
  - pytz
  - pyyaml
  - quaternionarray
  - requests
  - ruamel.yaml
  - sacc
  - scikit-image
  - scikit-learn
  - scipy
  - setproctitle
  - setuptools
  - skyfield
  - sphinx
  - sphinx-autobuild
  - sphinx_rtd_theme
  - sphinxcontrib-apidoc
  - sqlalchemy
  - suitesparse
  - tensorflow
  - toml
  - tqdm
  - twisted
  - typer
  - ujson
  - wurlitzer
  # TODO: choose your own version here
  # For https://github.com/GITHUB_ORG/REPO/archive/BRANCH.tar.gz
  # BRANCH can be a branch like master, or a version like v0.4.0
  # For toast, as toast3 is currently pre-released, constrain to a specific version manually
  # see https://pypi.org/project/toast/#history to find newer versions
  - pip:
      - cbor2
      - cobaya
      - fgspectra
      - git+https://github.com/simonsobs/SOLikeT.git@master
      - https://github.com/simonsobs/SOOPERCOOL/archive/master.tar.gz
      - https://github.com/simonsobs/sotodlib/archive/master.tar.gz
      - ocs
      - pixell
      - posix_ipc
      - pyhalomodel
      - so3g
      - socs
      - souk
      - sphinx-last-updated-by-git
      - syslibrary
      - toast==3.0.0a21
